> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the SAML integration details

> Get the details required to create a SAML integration for Gable in an IdP



## OpenAPI

````yaml /api-reference/bundled.yaml get /v0/settings/sso-saml-setup-details
openapi: 3.1.0
info:
  title: Gable API
  description: >
    API to interact with the Gable platform

    ## Authorization

    All API requests require an API key to be passed in the `X-API-KEY` header.
    For instructions on finding your API key and api endpoint check out the [API
    Key documentation](../docs/api-keys.md).

    Example: `curl -H "X-API-KEY: <your-api-key>"
    https://api-{organization}.gable.ai/v0/ping`
  contact:
    name: Gable Engineering
    url: https://gable.ai
    email: engineers@gable.ai
  version: 1.28.0
servers:
  - url: https://{hostname}.gable.ai
    description: Gable API
    variables:
      hostname:
        default: demo-api
        description: Customer environment assigned by Gable
security:
  - ApiKeyAuth: []
tags:
  - name: action
  - name: api-keys
  - name: auth
  - name: changelog
  - name: config
  - name: contract
  - name: data-asset
  - name: debug
  - name: s3
  - name: settings
  - name: slack
  - name: sso
  - name: webhook
  - name: notifications
  - name: constraints
  - name: telemetry
  - name: component
  - name: components
  - name: sca
  - name: cross-service-components
  - name: lineage
  - name: events
  - name: measurements
  - name: defect-report
  - name: experimental
paths:
  /v0/settings/sso-saml-setup-details:
    get:
      tags:
        - settings
        - sso
      summary: Get the SAML integration details
      description: >-
        Get the details required to create a SAML integration for Gable in an
        IdP
      operationId: getSsoSamlSetupDetails
      responses:
        '200':
          description: Details required to create a SAML integration for Gable in an IdP
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSsoSamlSetupDetailsResponse'
components:
  schemas:
    GetSsoSamlSetupDetailsResponse:
      type: object
      required:
        - ssoUrl
        - audienceUri
      properties:
        ssoUrl:
          description: >-
            The location where the SAML assertion is sent with a HTTP POST, also
            referred to as the SAML Assertion Consumer Service (ACS) URL.
          type: string
        audienceUri:
          description: >-
            (SP Entity Id) The application-defined unique identifier that is the
            intended audience of the SAML assertion. This is most often the SP
            Entity ID of your application.
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````